Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.upnp.ssdp
Class SSDPNotifySocket

    java.lang.Object
      org.cybergarage.upnp.ssdp.HTTPMUSocket
          org.cybergarage.upnp.ssdp.SSDPNotifySocket

All Implemented Interfaces:
  Runnable

    public class SSDPNotifySocket

extends HTTPMUSocket
implements Runnable

Constructor Summary
`SSDPNotifySocket(String bindAddr)`

Method Summary
`ControlPoint` | `getControlPoint()`
`boolean` | `post(SSDPNotifyRequest req)`
`void` | `run()`
`void` | `setControlPoint(ControlPoint ctrlp)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.cybergarage.upnp.ssdp.HTTPMUSocket
`close, finalize, getLocalAddress, getMulticastAddress, getMulticastInetAddress, open, post, post, receive, send, send`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSDPNotifySocket

    public SSDPNotifySocket(String bindAddr)

Method Detail

### setControlPoint

    public void setControlPoint(ControlPoint ctrlp)

### getControlPoint

    public ControlPoint getControlPoint()

### post

    public boolean post(SSDPNotifyRequest req)

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### start

    public void start()

### stop

    public void stop()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD